Skip to main content
GET
/
orgs
/
{orgId}
/
compliance
/
reports
/
{reportId}
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/orgs/{orgId}/compliance/reports/{reportId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "orgId": "<string>",
  "title": "<string>",
  "description": "<string>",
  "parameters": {},
  "content": {},
  "errorMessage": "<string>",
  "generatedBy": "<string>",
  "periodStart": "<string>",
  "periodEnd": "<string>",
  "completedAt": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier

reportId
string
required

Report identifier

Response

200 - application/json

OK

A compliance report record

id
string
required

Unique report identifier

orgId
string
required

Organization identifier

type
enum<string>
required

Type of compliance report

Available options:
SOC2_SUMMARY,
ACTIVITY_REPORT,
ACCESS_REVIEW,
AUDIT_EXPORT,
GDPR_DSAR
title
string
required

Report title

description
string | null
required

Report description

status
enum<string>
required

Current status of the report

Available options:
PENDING,
GENERATING,
COMPLETED,
FAILED
format
enum<string>
required

Export format for the report

Available options:
JSON,
CSV,
PDF
parameters
object
required

Report generation parameters

content
object | null
required

Report content data

errorMessage
string | null
required

Error message if report generation failed

generatedBy
string | null
required

User who generated the report

periodStart
string | null
required

ISO 8601 report period start

periodEnd
string | null
required

ISO 8601 report period end

completedAt
string | null
required

ISO 8601 completion timestamp

createdAt
string
required

ISO 8601 creation timestamp

updatedAt
string
required

ISO 8601 last update timestamp